package xaero.rotatenjump.game.levels;

import xaero.rotatenjump.game.Game;
import xaero.rotatenjump.game.Level;
import xaero.rotatenjump.game.object.Coin;
import xaero.rotatenjump.game.object.Platform;

/**
 * Created by xaero on 10/07/2017.
 */

public class Level1 extends Level {

    public Level1(){
        buttonText = "1";
        winOnAttach = true;
        scoreboardX = 0;
        scoreboardY = 500;
        threeStarTime = 200;
    }

    @Override
    public void constructLevel(Game game) {
        super.constructLevel(game);
        game.gameStarted = false;
        add(game, new Coin(0, 50));
        add(game, new Platform(0, 120, 6, 0, 20f, -1.5f));
        add(game, new Coin(0, 190));
        add(game, new Platform(0, 260, 5, 0, 20f, -1.5f));
    }
}
